Types::QueryType = GraphQL::ObjectType.define do
  name "Query"
  # Add root-level fields here.
  # They will be entry points for queries on your schema.

  # TODO: remove me
  field :testField, types.String do
    description "An example field added by the generator"
    resolve ->(obj, args, ctx) {
      "Hello World!"
    }
  end

  field :user do
    type Types::UserType
    description 'Find user by ID'
    argument :id, !types.ID
    resolve ->(obj, args, ctx) {
      User.find(args['id'])
    }
  end

  field :all_users do
    type types[Types::UserType]
    description 'All users'
    resolve ->(obj, args, ctx) {
      User.all
    }
  end
end
